Bug 136830 - CAN-2004-0914 Various libXpm issues
CAN-2004-0914 Various libXpm issues
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: XFree86 (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Kristian Høgsberg
David Lawrence
: Security
Depends On:
  Show dependency treegraph
Reported: 2004-10-22 11:49 EDT by Josh Bressers
Modified: 2007-11-30 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-18 04:45:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Proposed patch for these issues. (47.44 KB, patch)
2004-10-22 11:51 EDT, Josh Bressers
no flags Details | Diff
Patch to fix the makefiles to account for the new s_popen library. (909 bytes, patch)
2004-10-22 11:52 EDT, Josh Bressers
no flags Details | Diff
Updated patch from Matthieu Herrb (54.68 KB, patch)
2004-11-02 09:50 EST, Kevin E. Martin
no flags Details | Diff

  None (edit)
Description Josh Bressers 2004-10-22 11:49:52 EDT
Thomas Biege from Suse has audited the libXpm X code.

The patch is based on XFree86-4.3-branch_03-08-13 code
with all known security fixes (including xpm-sec5.diff,
which I sent around some days ago) applied.

It fixes several integer issues that result in endless loops
and buffer overflows. It also fixes a one-byte buffer overflow,
stack-based overflows (sprintf(), string functions), replaces
popen() with s_popen(), path traversal issues, buffer underruns,
memory leaks (missing free(), found by Egbert Eich)...

Some issues seem not to be fixable in an easy way, therefore
I just commented them.

So far we did not make any functional testing based on packages
including this patch. Handle it with *care*.

With the presence of this patch I would like to push back the
next coordinated libXpm release for at least one week
(3rd November, 14:00 UTC).
Comment 1 Josh Bressers 2004-10-22 11:51:28 EDT
Created attachment 105661 [details]
Proposed patch for these issues.
Comment 2 Josh Bressers 2004-10-22 11:52:14 EDT
Created attachment 105662 [details]
Patch to fix the makefiles to account for the new s_popen library.
Comment 5 Kevin E. Martin 2004-10-29 13:29:40 EDT
From the mail on the xorg_security list today, the patch is still
under discussion, and changes are still being made.  Once the final
patches are available, I've asked that Kristian Høgsberg prepare the
update while Mike is on vacation.
Comment 6 Kevin E. Martin 2004-11-02 09:50:41 EST
Created attachment 106066 [details]
Updated patch from Matthieu Herrb

From the latest e-mail on the xorg_security list today, it looks like the new
date for the embargo is 17 Nov 2004 1400UTC.

We are currently reviewing and testing the latest patch.
Comment 9 Kristian Høgsberg 2004-11-18 13:06:25 EST
Fixed in XFree86-4.1.0-63.EL.
Comment 11 Kristian Høgsberg 2004-11-18 14:53:45 EST
Errata are passed on to QA, setting to MODIFIED.


Comment 12 Mark J. Cox (Product Security) 2004-11-19 05:47:11 EST
Removing embargo
Comment 13 Mark J. Cox (Product Security) 2005-03-18 04:45:02 EST
Was actually released as RHSA-2004:610 on Dec 20 2004.

Note You need to log in before you can comment on or make changes to this bug.